<?xml version="1.0" encoding="utf-8"?>
<resources>

    <!--头部bar-->
    <declare-styleable name="TitleBar">
        <attr name="left_text" />
        <attr name="left_start_icon" format="reference" />
        <attr name="left_end_icon" format="reference" />
        <attr name="title_text" format="string" />
        <attr name="right_text" />
        <attr name="right_start_icon" format="reference" />
        <attr name="right_end_icon" format="reference" />
        <attr name="side_text_color" format="color" />
        <attr name="title_bar_text_color" format="color|reference" />
        <attr name="bm_line_color" format="color" />

        <attr name="right_iv" format="reference" />
    </declare-styleable>
    <attr name="left_text" format="string" />
    <attr name="right_text" format="string" />

    <declare-styleable name="FlowLayout">
        <attr name="width_space" format="dimension" />
        <attr name="height_space" format="dimension" />
    </declare-styleable>


    <!-- 登录界面底部选择器-->
    <declare-styleable name="LoginAndRegistSelectView">
        <attr name="left_text" />
        <attr name="right_text" />
        <attr name="text_size" format="dimension" />
    </declare-styleable>


    <!--JumpTextView属性-->
    <declare-styleable name="JumpTextView">
        <attr name="jump_tv_hide_arrow" format="boolean" />
        <!--左侧图标-->
        <attr name="jump_tv_icon" format="reference" />
        <!--右侧文字开始处图标-->
        <attr name="jump_tv_right_icon_start" format="reference" />
        <!--右侧文字末尾图标-->
        <attr name="jump_tv_right_icon_end" format="reference" />
        <!--左侧文字-->
        <attr name="jump_tv_left_text" format="string" />
        <!--左侧文字大小-->
        <attr name="jump_tv_left_size" format="dimension" />
        <!--左侧文字颜色-->
        <attr name="jump_tv_left_color" format="color" />
        <!--左侧文字宽度-->
        <attr name="jump_tv_left_width" format="dimension" />
        <!--右侧文字gravity-->
        <attr name="jump_tv_right_gravity" format="enum">
            <enum name="left" value="1" />
            <enum name="right" value="2" />
        </attr>
        <!--右侧文字-->
        <attr name="jump_tv_right_text" format="string" />
        <!--右侧文字大小-->
        <attr name="jump_tv_right_size" format="dimension" />
        <!--右侧文字颜色-->
        <attr name="jump_tv_right_color" format="color" />
        <!--右侧文字内容最大字数-->
        <attr name="jump_tv_right_max_length" format="integer" />
        <!--文字内容最多行数-->
        <attr name="jump_tv_max_line" format="integer" />
        <!--是否可以点击状态-->
        <attr name="jump_tv_can_click" format="boolean" />
        <!--左边图片宽度-->
        <attr name="jump_tv_left_icon_width" format="dimension" />
        <!--左边图片高度-->
        <attr name="jump_tv_left_icon_hight" format="dimension" />
        <!--左侧小红点-->
        <attr name="jump_tv_left_red_dot" format="boolean" />
    </declare-styleable>


    <!-- NumLimitEditextView-->
    <declare-styleable name="NumLimitEditTextView">
        <attr name="limit_num" format="integer" />
        <attr name="hide_limit_num" format="boolean" />
        <attr name="limit_num_text_size" format="dimension" />
        <attr name="limit_num_text_color" format="color" />
    </declare-styleable>

    <!--圆角按钮-->
    <declare-styleable name="RoundCornerButton">
        <!--描边属性-->
        <attr name="round_stroke_width" format="dimension" />
        <attr name="round_stroke_color" format="color" />
        <!--按钮默认背景色-->
        <attr name="round_btn_bg" format="color" />
        <!--手指按下，波纹色-->
        <attr name="round_btn_active_bg" format="color" />
        <!--不可用背景色-->
        <attr name="round_btn_disable_bg" format="color" />
        <attr name="round_btn_disable_text_color" format="color" />
        <!--圆角大小-->
        <attr name="round_btn_radio_size" format="dimension" />
    </declare-styleable>

    <!--RoundProgressBar-->
    <!--    <declare-styleable name="RoundProgressBar">
            <attr name="roundColor" format="color" />
            <attr name="roundProgressColor" format="color" />
            <attr name="roundWidth" format="dimension"/>
            <attr name="textColor" format="color" />
            <attr name="textSize" format="dimension" />
            <attr name="round_progress_bar_max_num" format="integer"/>
            <attr name="textIsDisplayable" format="boolean"/>
            <attr name="style">
                <enum name="STROKE" value="0"/>
                <enum name="FILL" value="1"/>
            </attr>
        </declare-styleable>-->

    <declare-styleable name="CircleImageView">
        <attr name="border_width" format="dimension" />
        <attr name="border_color" format="color" />
    </declare-styleable>
    <declare-styleable name="CircleImageView_">
        <attr name="civ_border_width" format="dimension" />
        <attr name="civ_border_color" format="color" />
        <attr name="civ_border_overlay" format="boolean" />
        <attr name="civ_fill_color" format="color" />
    </declare-styleable>


    <!--弧度设置圆角Imageview-->
    <attr name="borderRadius" format="dimension" />
    <attr name="type">
        <enum name="circle" value="0" />
        <enum name="round" value="1" />
    </attr>
    <declare-styleable name="RoundImageView">
        <attr name="borderRadius" />
        <attr name="type" />
    </declare-styleable>


    <!--懒加载ViewPager-->
    <declare-styleable name="LazyViewPager">
        <attr name="init_lazy_item_offset" format="float" />
    </declare-styleable>

    <declare-styleable name="MyCircleProgressBar">
        <attr name="mlpb_inner_radius" format="dimension" />
        <attr name="mlpb_background_color" format="color" />
        <attr name="mlpb_progress_color" format="color" />
        <attr name="mlpb_progress_stoke_width" format="dimension" />
        <attr name="mlpb_show_arrow" format="boolean" />
        <attr name="mlpb_enable_circle_background" format="boolean" />
        <attr name="mlpb_arrow_width" format="dimension" />
        <attr name="mlpb_arrow_height" format="dimension" />
        <attr name="mlpb_progress" format="integer" />
        <attr name="mlpb_max" format="integer" />
        <attr name="mlpb_progress_text_size" format="dimension" />
        <attr name="mlpb_progress_text_color" format="color" />
        <attr name="mlpb_progress_text_visibility" format="enum">
            <enum name="visible" value="0" />
            <enum name="invisible" value="1" />
        </attr>
    </declare-styleable>

    <declare-styleable name="CustomerMRefreshLayout">
        <attr name="isoverlay" format="boolean" />
        <attr name="mywave_height_type" format="enum">
            <enum name="normal" value="0" />
            <enum name="higher" value="1" />
        </attr>
        <attr name="mywave_color" format="color" />
        <attr name="mywave_show" format="boolean" />
        <attr name="myprogress_colors" format="reference" />
        <attr name="myprogress_stoke_width" format="dimension" />
        <attr name="myprogress_backgroud_color" format="color" />
        <attr name="myprogress_show_arrow" format="boolean" />
        <attr name="myprogress_arrow_width" format="dimension" />
        <attr name="myprogress_arrow_height" format="dimension" />
        <attr name="myprogress_show_circle_backgroud" format="boolean" />
        <attr name="myprogress_value" format="integer" />
        <attr name="myprogress_max_value" format="integer" />
        <attr name="myprogress_text_size" format="dimension" />
        <attr name="myprogress_text_color" format="color" />
        <attr name="myprogress_text_visibility" format="enum">
            <enum name="visible" value="0" />
            <enum name="invisible" value="1" />
        </attr>
        <attr name="myprogress_size_type" format="enum">
            <enum name="normal" value="0" />
            <enum name="big" value="1" />
        </attr>
        <attr name="myisLoadMore" format="boolean" />
    </declare-styleable>

    <!--九宫格解锁-->
    <declare-styleable name="Lock9View">
        <attr name="lock9_nodeSrc" format="color|reference" />
        <attr name="lock9_nodeOnSrc" format="color|reference" />
        <attr name="lock9_nodeSize" format="dimension" />
        <attr name="lock9_nodeAreaExpand" format="dimension" />
        <attr name="lock9_nodeOnAnim" format="reference" />
        <attr name="lock9_lineColor" format="color" />
        <attr name="lock9_lineWidth" format="dimension" />
        <attr name="lock9_padding" format="dimension" />
        <attr name="lock9_spacing" format="dimension" />
        <attr name="lock9_autoLink" format="boolean" />
        <attr name="lock9_enableVibrate" format="boolean" />
        <attr name="lock9_vibrateTime" format="integer" />

    </declare-styleable>

    <!--banner-->
    <declare-styleable name="Banner">
        <attr name="delay_time" format="integer" />
        <attr name="scroll_time" format="integer" />
        <attr name="is_auto_play" format="boolean" />
        <!-- 适配项目中banner选中和未选中时，指示器图标大小宽度不一致的问题    true:选中和未选中一致  false:选中和未选中不一致-->
        <attr name="is_selected_same_unselected" format="boolean" />
        <!-- 是否显示指示器布局：true 显示  false 不显示 默认显示 -->
        <attr name="is_show_indicator" format="boolean" />
        <!-- 指示器布局是否显示在banner内部 ： true 是  false 不是  默认是-->
        <attr name="is_show_inside" format="boolean" />
        <!-- 样式不一致的时候，不一致的图标宽度-->
        <attr name="indicator_different_width" format="dimension" />
        <attr name="title_background" format="color|reference" />
        <attr name="title_textcolor" format="color" />
        <attr name="title_textsize" format="dimension" />
        <attr name="title_height" format="dimension" />
        <attr name="indicator_width" format="dimension" />
        <attr name="indicator_height" format="dimension" />
        <attr name="indicator_margin" format="dimension" />
        <attr name="indicator_drawable_selected" format="reference" />
        <attr name="indicator_drawable_unselected" format="reference" />
        <attr name="banner_layout" format="reference" />
        <attr name="banner_default_image" format="reference" />
        <attr name="image_scale_type" format="enum">
            <enum name="center" value="0" />
            <enum name="center_crop" value="1" />
            <enum name="center_inside" value="2" />
            <enum name="fit_center" value="3" />
            <enum name="fit_end" value="4" />
            <enum name="fit_start" value="5" />
            <enum name="fit_xy" value="6" />
            <enum name="matrix" value="7" />
        </attr>
        <!--<attr name="indicator_animator" format="reference" />-->
        <!--<attr name="indicator_animator_reverse" format="reference" />-->
    </declare-styleable>

    <declare-styleable name="ProgressView">
        <attr name="progressColor" format="color" />
        <attr name="progressBackColor" format="color" />
        <attr name="progressWidth" format="dimension" />
        <attr name="textSize" format="dimension" />
        <attr name="textColor" format="color" />
    </declare-styleable>

    <declare-styleable name="VerticalTabLayout">
        <attr name="indicator_color" format="color" />
        <attr name="tab_indicator_width" format="dimension" />
        <attr name="tab_indicator_height" format="dimension" />
        <attr name="indicator_corners" format="dimension" />
        <attr name="tab_indicator_margin" format="dimension" />
        <attr name="indicator_gravity" format="enum">
            <enum name="left" value="3" />
            <enum name="right" value="5" />
            <enum name="fill" value="119" />
        </attr>
        <attr name="tab_margin" format="dimension" />
        <attr name="tab_mode" format="enum">
            <enum name="fixed" value="10" />
            <enum name="scrollable" value="11" />
        </attr>
        <attr name="tab_height" format="dimension"/>
    </declare-styleable>
</resources>